%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-through
Version:    2.3.4
Release:    2%{?dist}
Summary:    Simplified stream construction for Node.js
License:    MIT or ASL 2.0
Group:      System Environment/Libraries
URL:        https://github.com/dominictarr/through
Source0:    http://registry.npmjs.org/through/-/through-%{version}.tgz

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(stream-spec)
BuildRequires:  npm(tape)
%endif

%description
%{summary}.


%prep
%setup -q -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/through
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/through

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
for t in test/*.js; do
    %__nodejs "${t}"
done
%endif


%files
%doc LICENSE.APACHE2 LICENSE.MIT readme.markdown
%{nodejs_sitelib}/through


%changelog
* Tue Jul 30 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.3.4-2
- restrict to compatible arches

* Mon May 27 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.3.4-1
- initial package
